﻿@font-face {
    font-family: "THSarabunNew";
    font-style: normal;
    src: url(../_fonts/THSarabunNew.ttf); /* if IE */
}

body {
    font-family: 'THSarabunNew' !important;
    font-size: 22px;
    font-weight: bold;
}

* {
    text-transform: none !important; /*Cancle upper case*/
}

#header_main .uk-navbar .uk-navbar-nav > li > a {
    color: #fff;
    text-shadow: none;
    font-size: 22px;
    font-weight: bold;
    border: none;
    line-height: 44px;
    font-family: 'THSarabunNew' !important;
    box-sizing: border-box;
    /*height: 48px;*/
    z-index: auto;
    cursor: pointer;
}

#style_switcher {
    top: 42px;
}

/* menu app_theme_default*/
#sidebar_main .menu_section > ul > li.current_section > a .menu_title {
    color: #7cb342;
    font-size: 25px;
}

#sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #7cb342;
    font-weight: 600;
    font-size: 23px;
}

#sidebar_main .sidebar_main_header .sidebar_logo {
    height: 89px !important;
}

.sidebar_mini #sidebar_main .menu_section > ul > li > a > .menu_title {
    font-size: 23px;
    font-weight: 600;
}

#sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
    font-weight: 600;
    font-size: 23px;
}

#sidebar_main .menu_section > ul > li > a {
    /*color: #212121;*/
    padding: 5px 20px;
    display: block;
    overflow: hidden;
    position: relative;
    font-weight: bold;
    font-family: 'THSarabunNew';
    font-size: 24px;
}

#sidebar_main .menu_section > ul > li ul a {
    padding: 5px 10px 8px 72px;
    display: block;
    font-weight: 600;
    font-family: 'THSarabunNew';
    font-size: 22px;
}
/* menu app_theme_a*/
.app_theme_a #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #ff4081;
}

.app_theme_a #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_b*/
.app_theme_b #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #00bcd4;
}

.app_theme_b #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_c*/
.app_theme_c #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #4db8ff;
}

.app_theme_c #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_d*/
.app_theme_d #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #673ab7;
}

.app_theme_d #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_e*/
.app_theme_e #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #e53935;
}

.app_theme_e #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_f*/
.app_theme_f #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #7cb342;
}

.app_theme_f #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_g*/
.app_theme_g #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #4caf50;
}

.app_theme_g #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_h*/
.app_theme_h #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #0277bd;
}

.app_theme_h #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

/* menu app_theme_i*/
.app_theme_i #sidebar_main .menu_section > ul > li ul li.act_item a {
    color: #00acc1;
}

.app_theme_i #sidebar_main .menu_section > ul > li ul li.none_act a {
    color: #000000;
}

.md-card .md-card-toolbar-heading-text {
    font-size: 16px;
}

select.md-input,
textarea.md-input,
input:not([type]).md-input,
input[type="text"].md-input,
input[type="password"].md-input,
input[type="datetime"].md-input,
input[type="datetime-local"].md-input,
input[type="date"].md-input,
input[type="month"].md-input,
input[type="time"].md-input,
input[type="week"].md-input,
input[type="number"].md-input,
input[type="email"].md-input,
input[type="url"].md-input,
input[type="search"].md-input,
input[type="tel"].md-input,
input[type="color"].md-input {
    /*font: 400 16px "THSarabunNew", THSarabunNew;*/
    padding: 7px 4px;
    margin-left: 4px;
    /*border-width: 1px;*/
    border-color: #727272;
    font-weight: 500;
}

.md-input-wrapper {
    padding-top: 20px;
    font-family: 'THSarabunNew';
    font-weight: bold;
    color: black;
    font-size: 25px;
}

    .md-input-wrapper > label {
        font-size: 20px;
        color: black;
        font-weight: bold;
    }

.md-btn-save-invisible {
    width: 0px;
    padding: 0px 0px;
    height: 0px;
    border: none;
}

.md-btn {
    min-height: 26px;
    min-width: 20px;
    padding: 1px 10px;
    font: 500 22px "THSarabunNew", THSarabunNew !important;
    font-family: 'THSarabunNew';
    margin-top: 5px;
}

.md-btn-small {
    font: 400 8px / 20px "THSarabunNew", THSarabunNew !important;
}

/*.md-btn-small {
  line-height: 27px !important;
  min-width: 14px;
  font-size: 11px !important;
}*/

.uk-dropdown > ul > li > a {
    font-family: 'THSarabunNew';
    font-size: 20px !important;
    text-align: left !important;
    font-weight: 600 !important;
    color: #000000;
}

.app_theme_dark .md-btn-default > i.material-icons {
    color: rgba(0,0,0,.54) !important;
}

/*Page*/

.uk-pagination {
    margin-top: 6px;
}

.pager_detail {
    /*margin-top: 0px;*/
    color: #aaa;
    font-size: 18px;
    font-weight: bold;
}

.md-btn-flat-primary:hover {
    background-color: transparent !important;
}

.uk-pagination > li > a, .uk-pagination > li > span {
    padding: 4px 8px;
    min-width: 26px;
    line-height: 16px;
    height: 24px;
    border-radius: 2px;
    font-family: 'THSarabunNew';
    font-size: 20px;
    font-weight: bold;
}

.app_theme_dark .uk-pagination > li > a {
    color: #fff !important;
}

.app_theme_dark .uk-pagination > li > .pager {
    color: #aaa !important;
}

.app_theme_dark .uk-pagination > li > a:hover {
    color: #212121 !important;
}

.uk-pagination > li > span:hover {
    cursor: default !important;
}

.uk-pagination > li {
    font-size: 12px !important;
}

table.dataTable tbody tr {
    background-color: inherit;
}

/* datatables */
table.dataTable,
table.dataTable thead th,
table.dataTable thead td {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    padding-left: 0px;
    font-size: 1em;
    border-top: 0.5px solid #808080;
}

    table.dataTable thead th {
        font-size: 23px;
        padding: 4px 14px;
        border-left: 0px;
    }

.uk-table thead th, .uk-table tfoot td, .uk-table tfoot th {
    font-style: normal;
    font-weight: 600;
    color: #212121;
    font-size: 23px;
    font-family: 'THSarabunNew' !important;
    vertical-align: central;
}

/*Custom Header Scroll*/
.HeaderPosition {
    padding-left: 0px !important;
    padding-right: 0px;
}

    .HeaderPosition thead th {
        background-color: #e9e9e9;
    }

    .HeaderPosition thead td {
        background-color: red;
        border: 5px !important;
    }


.dataTables_wrapper .uk-table {
    margin: 0;
    border-spacing: 0;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 0px solid #111;
}

/*Cancle padding on JQuery*/
table.dataTable tbody th, table.dataTable tbody td {
    padding: 0.1px 5px;
}

/*Tab*/
.uk-tab {
    margin-bottom: 15px !important;
}


/*Popup*/
.popup-full {
    /*padding: 0px 30px;*/
    height: 100%;
    width: 100% !important;
}

.uk-modal-dialog .md-card {
    /*width: 800px !important;*/
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0.12), 0 0px 0px rgba(0, 0, 0, 0.24) !important;
}

.uk-modal-dialog .md-card-toolbar {
    border-bottom: 0px !important;
}
/* Cancle Scroll GridViewEx */
.uk-overflow-container {
    overflow: hidden;
}

.head_dialog {
    margin-left: 10px !important;
    font: 600 26px/38px THSarabunNew,THSarabunNew !important;
}

.uk-modal-dialog .uk-modal-footer {
    margin: -5px -16px !important;
    padding: 16px;
    background: #fff;
    border-top: none;
}

.text-detail {
    /*color: #000;*/
    font-weight: bold;
    font-size: 22px;
}

.modal-alert [class*=uk-icon-] {
    font-size: 180% !important;
    vertical-align: -16%;
}

.menu_section [class*=uk-icon-] {
    font-size: 145% !important;
    vertical-align: -16%;
}

.uk-notify {
    z-index: 9999 !important;
    width: 400px;
    top: 56px;
    max-width: 100%;
    margin-left: -200px !important;
}

.md-input-filled > label, .md-input-focus > label {
    /*top: -12px !important;*/
    font-size: 21px;
    color: #424242;
    font-weight: 600;
}

.image-logo {
    width: 200px;
    height: 85px;
}

.border-image {
    background: #fff;
    margin-top: 8px;
    margin-bottom: 20px;
    padding: 8px;
    box-shadow: 0 3px 6px rgba(0,0,0,.16), 0 3px 6px rgba(0,0,0,.23);
    border-radius: 4px;
    height: 150px;
}

.image {
    max-height: 150px;
    width: 100%;
}

.uk-text-small {
    padding-top: 8px;
    font-size: 20px !important;
}

#breadcrumbs > li a, #breadcrumbs > li span {
    font-size: 24px;
    font-weight: bold;
}

.grid-filter, .grid-filter-active, .grid-sort, .grid-sort-active {
    width: 26px;
    height: 28px;
}

.control-treeview a {
    font-size: 22px !important;
    font-family: 'THSarabunNew' !important;
}

.uk-table td span {
    display: block;
    color: #212121;
    font-weight: bold;
}

td {
    cursor: pointer;
}

.selected_row {
    background-color: #A1DCF2 !important;
}

.md-card .md-card-content {
    padding: 10px;
}

#page_content_inner {
    padding: 8px 8px 25px;
}

.uk-table td, .uk-table th {
    padding: 4px 4px;
    border-bottom: 1px solid rgba(0,0,0,.16);
}

.uk-modal-dialog {
    width: 50%;
    top: 20px !important;
}

.uk-modal-dialog-large {
    width: 90%;
    top: 10px !important;
}

.uk-modal-dialog-item-master {
    width: 70%;
    top: 10px !important;
}

.uk-modal-dialog-full {
    width: 100%;
    height: 100%;
    max-height: auto;
    margin: 0px !important;
    top: 0px !important;
    max-width: 100%;
}

/*Tap Style*/
.uk-tab > li.uk-active > a {
    border-color: #ddd;
    color: #7cb342;
    font-weight: bold;
    font-size: 24px;
}

.uk-tab > li > a {
    font-size: 21px;
    color: black;
    font-weight: bold;
}

.heading_a {
    margin: 0;
    font-family: THSarabunNew;
    font-size: 22px;
    font-weight: bold;
}

.md-card .md-card-head {
    height: 60px;
}

.uk-badge {
    font-size: 1em;
    font-weight: bold;
    color: #fff !important;
    line-height: 30px;
}

.font-cancel td span,
.font-cancel td input {
    color: lightgray !important;
}